#### D.13.2.25 inequalities

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  inequalities(c); c cone
  inequalities(p); p polytope

Return:
  bigintmat, the inequalities of c resp p

Note:
  neither unique nor irredundant, unless c resp p in canonical form

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    bigintmat I1=inequalities(c1);
    print(I1);
    ==> 0,1,
    ==> 1,0
    intmat M2[2][2]=
    1,1,
    0,-1;
    cone c2=coneViaPoints(M2);
    bigintmat I2=inequalities(c2);
    print(I2);
    ==> 1,-1,
    ==> 1, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.